/////////////////////////////////////////////////////////////////////////////////////////
// Jocopod -- Joystick to Control Port Dongle
//            --          --      --   -
//
// (c) 2015-2016, Oliver "lvr" Tscherwitschke
// lvr@bitbang.de
//
// This file is part of the Jocopod Firmware.
//
// The Jocopod Firmware is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// The Jocopod Firmware is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with the Jocopod Firmware. If not, see <http://www.gnu.org/licenses/>.
/////////////////////////////////////////////////////////////////////////////////////////

#ifndef EEDATA_H
#define EEDATA_H

#include "mytypes.h"


#define EEPROM_STRUCT_VERSION       1


enum {EE_OK, EE_GUARD_ERROR, EE_VERSION_ERROR};


// The EEPROM data structure
//
// When writing to EEPROM is interrupted (e.g. power loss) the quard values have 
// different values => EEPROM contents not valid.
// If both guard values are the same, EEPROM contents is considered valid.
typedef struct
{
    uint8_t guard1;
    uint8_t structVersion;
    uint8_t operatingMode;
    Axis x;
    Axis y;
    uint8_t guard2;
} EepromData;



int eepromRead(void);
int eepromWrite(void);


#endif

